de.vc.io.rtf

## Class BinaryRTFToken

- java.lang.Object
- - de.vc.io.rtf.AbstractRTFToken
  - - de.vc.io.rtf.BinaryRTFToken

-     public class BinaryRTFToken
      extends AbstractRTFToken

- - ### Field Summary

    - ### Fields inherited from class de.vc.io.rtf.AbstractRTFToken

      `TYPE_BINARY, TYPE_BRACE_CLOSED, TYPE_BRACE_OPEN, TYPE_CONTROL, TYPE_ESCAPE_CHARACTER, TYPE_NEXT_CONTROL_OPTIONAL, TYPE_NON_BREAKING_HYPHEN, TYPE_NON_BREAKING_SPACE, TYPE_NULL, TYPE_OPTIONAL_HYPHEN, TYPE_TEXT, TYPE_UNICODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryRTFToken(java.io.InputStream stream, long size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getControl()`
    `java.lang.Integer` | `getControlNumber()`
    `java.io.InputStream` | `getDataStream()`
    `int` | `getLevel()`
    `long` | `getSize()`
    `java.lang.String` | `getText()`
    `int` | `getType()`

    - ### Methods inherited from class de.vc.io.rtf.AbstractRTFToken

      `getCtrlDesc, isCtrlEnabled, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryRTFToken

          public BinaryRTFToken(java.io.InputStream stream,
                        long size)

  - ### Method Detail

    - #### getControl

          public java.lang.String getControl()

      Specified by:
        `getControl` in class `AbstractRTFToken`

    - #### getControlNumber

          public java.lang.Integer getControlNumber()

      Specified by:
        `getControlNumber` in class `AbstractRTFToken`

    - #### getLevel

          public int getLevel()

      Specified by:
        `getLevel` in class `AbstractRTFToken`

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in class `AbstractRTFToken`

    - #### getType

          public int getType()

      Specified by:
        `getType` in class `AbstractRTFToken`

    - #### getDataStream

          public java.io.InputStream getDataStream()

    - #### getSize

          public long getSize()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.